#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "terminal_io.h"
#include "logfile_io.h"
#include "client_lib.h"


/* -------------------------------------------------------------------- */
/* -------------------------------------------------------------------- */
int main(int argc, char *argv[])
{
	int 	fdin,
		fdout;


	/* Usage: client <host> <port> */


	fdin = client_connect(argv[1], atoi(argv[2]));
	fdout = fdin;


	init_logfile("logs/client.log");

	setterm();
	terminal_io(STDIN_FILENO, STDOUT_FILENO, fdin, fdout, -1);
	return 0;
}

