#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "terminal_io.h"
#include "logfile_io.h"
#include "server_lib.h"

/* -------------------------------------------------------------------- */
/* -------------------------------------------------------------------- */
int main(int argc, char *argv[])
{
	int 	fdin,
		fdout;


	/* Usage: server <port> */


	fdin = server_connect(atoi(argv[1]));
	fdout = fdin;


	init_logfile("logs/server.log");

	setterm();
	terminal_io(STDIN_FILENO, STDOUT_FILENO, fdin, fdout, -1);
	return 0;
}

