#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "terminal_io.h"
#include "logfile_io.h"
#include "server_lib.h"
#include "client_lib.h"

/* -------------------------------------------------------------------- */
/* -------------------------------------------------------------------- */
int main(int argc, char *argv[])
{
	int 	client_fdin,
		client_fdout,
		server_fdin,
		server_fdout;


	/* Usage: snoop <local_port> <server_address> <server_port> */


	client_fdin = server_connect(atoi(argv[1]));
	client_fdout = client_fdin;


	server_fdin  = client_connect(argv[2], atoi(argv[3]));
	server_fdout = server_fdin;

	init_logfile("logs/snoop.log");



	setterm();
	terminal_io(client_fdin, client_fdout, server_fdin, server_fdout, STDOUT_FILENO);
	return 0;
}


